.form{
    background: transparent;
    /* border-radius: 5px; */
    box-sizing: border-box;
    padding: 13px 18px 20px;
    color: #fff;
    position: relative;
}

.form--controlWrapper{
    margin-bottom: 20px;
    position: relative;
}

.form--controlWrapper-half{
    width: calc(50% - 5px);
}

.form--title{
    text-align: center;
    color: #FAFAFF;
    font-weight: 800;
    font-size: 30px;
    line-height: 140%;
    text-transform: uppercase;
}

.form--title-yellow{
    color: #F1BA2D;
}

.form--row{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
}

.form--input{
    width: 100%;
    border: 1px solid;
    box-sizing: border-box;
    border-radius: 5px;
    height: 40px;
    color:#333;
    background-color: transparent;
    padding: 12px 30px 12px 10px;
    text-overflow: ellipsis;
    outline-style: none;
}

.form--input:focus{
    box-shadow: 0px 0px 12px 5px rgba(66, 232, 224, 0.25);
}

.form--floatingLabel{
    position: absolute;
    z-index: 1;
    transition: .3s ease all;
    font-size: 10px;
    line-height: 10px;
    font-style: italic;
    pointer-events: none;
    left: 10px;
    top: -10px; 
    padding: 1px 3px;
    background-color:#fff;
    outline-style: none;
    color: #333;
}

.form--input:placeholder-shown:not(:focus)~.form--floatingLabel {
    top: 1em;
    font-style: normal;
    font-weight: bold;
    font-size: 12px;
    line-height: 14px;
    color: #333;
    background-color:transparent;
}

.form--row-pass{
    justify-content: center;
}

.form--row-pass label.error{
    display: none !important;
}

.password{
    width: 66.6%;
    border-radius:   5px ;
}

.form--btnPasword{
    width: calc(33.4% - 5px);
    margin-left: 5px;
    border-radius:    0 3px 3px 0;
    box-sizing: border-box;
    height: 40px;
    border: none;
    outline-style: none;
    cursor: pointer;
    font-weight: bold;
    font-size: 9px;
    line-height: 11px;
    text-align: center;
    /* text-transform: uppercase; */
    color: #fff;
    font-family: inherit;
    border-radius: 5px;
    background: linear-gradient(to bottom, #ffd400 0, #ffc414 50%, #eaa639 100%);
    transition: color .5s ease, background .5s ease;
}

div.intl-tel-input .flag-container{
    background: transparent
}


.form--btn{
    width: 100%;
    height: 60px;
    /* padding-top: 18px; */
    font-weight: 900;
    font-size: 20px;
    line-height: 24px;
    border: none;
    text-transform: uppercase;
    color: #fff;
    background: linear-gradient(to bottom, #ffe254 0, #ffc414 50%, #eaa639 100%);

}


    
.form--btn:hover{
    background: linear-gradient(to top, #ffe254 0, #ffc414 50%, #eaa639 100%);
    color: #fff;
    font-size: 22px;
}
.privacy-checkbox p{
    font-size: 8px;
    line-height: 10px;
}
.preloader {
    display: none;
    background: white;
    position: absolute;
    top: 0%;
    bottom: 0;
    left: 0%;
    right: 0;
    z-index: 9995;
    background-image: url(../images/preloader.gif);
    background-repeat: no-repeat;
    background-position: 50% 50%;
    opacity: 0.5;
    /* border-radius: 5px; */

}

.phone::placeholder{
    font-size: 12px;
    font-weight: bold;
    line-height: 12px;
    color: #333;
}

.flag-container{
    background: #FAFAFF;
    border-radius: 3px 0px 0px 3px;
    height: 40px;
    color: #000;
    z-index: 3;
}

.selected-dial-code{
    font-weight: 700;
}

label.error {
    text-align: center;
    color: #C40000;
    font-size: 11px;
    position: absolute;
    width: 35%;
    z-index: 999;
    background: #FFFFFF;
    bottom: 99%;
    right: 2%;
    padding: 2px;
    border-radius: 8px;
    border: 1px solid #FFFFFF;
    box-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    font-family: Open Sans;
    font-style: normal;
    font-weight: 700;
}
label.error::after{
    content: '';
    position: absolute;
    width: 0;
    height: 0;
    border: 10px solid;
    border-color: #ffffff transparent transparent transparent;
    top: 100%;
    right: 4%;
    margin-left: -10px;
}

.form--controlWrapper-half label.error{
    width: 100%;
    box-sizing: border-box;
}

input.error {
    background: rgba(255, 0, 60, 0.3) url(../images/form-invalid.svg) no-repeat 95% !important;
    border: 2px solid #FF003C !important;
    padding-right: 30px!important;
    text-overflow: ellipsis;
    -webkit-background-size: 13px 10px!important;
    background-size: 13px 10px!important;
}

input.valid {
    background: rgba(57, 181, 74, 0.3) url(../images/form-valid.svg) no-repeat 95% !important;
    border: 2px solid #39B54A !important;
    padding-right: 30px!important;
    text-overflow: ellipsis;
}

.valid-block {
    position: absolute;
    background: #FAFAFF;
    border: 1px solid #FF003C;
    box-sizing: border-box;
    z-index: 9996;
    top: 38px;
    width: 100%;
}

.valid-check {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.valid-check label {
    color: #f90201;
    padding: 5px 25px;
    position: relative;
    text-align: left;
    font-family: inherit;
    font-size: 10px;
    line-height: 1;
    margin: 0;
}

.valid-check.check label {
    color: #39B54A !important;
}

.valid-check label::before {
    content: "";
    display: block;
    position: absolute;
    top: 5px;
    left: 8px;
    width: 12px;
    height: 11px;
    background-image: url(../images/form-invalid.svg);
    background-size: 80%;
    background-position: 50%;
    background-repeat: no-repeat;
}

.valid-check.check label::before {
    content: "";
    display: block;
    position: absolute;
    top: 5px;
    left: 8px;
    width: 12px;
    height: 11px;
    background-image: url(../images/form-valid.svg);
    background-size: 80%;
    background-position: 50%;
    background-repeat: no-repeat;
}

@media(max-width:767px){
    .form{
        box-shadow:none;
        border-radius: 0;
        padding: 20px 15px;
    }
    
}

@media(max-width:576px){
    
    .form--input{
        height: 60px;
        font-size: 20px;
    }
    label.error{
        /* top: 58px; */
    }
    label.checked-svg:before{
        top: -9px;
        left: -9px;
    }
    .form--btnPasword{
        height: 60px;
    }
    .flag-container{
        height: 60px;
    }
    .valid-block{
        top: 58px;
    }
    .btn.form--btn{
        height: 90px ;
    }
    .form--input:placeholder-shown:not(:focus)~.form--floatingLabel{
        font-size: 20px;
        line-height: 18px;
    }
    .phone::placeholder{
        font-size: 20px;
        line-height: normal;
    }
    input.error{
        background-position-x: 97.5% !important
    }
    .form--btnPasword{
        font-size: 12px;
        line-height: 15px;
    }
    .checked-svg svg{
        width: 32px !important;
        height: 32px !important;
    }
    .privacy-checkbox{
        padding-left: 8% !important;
    }
}

@media (max-width:425px){
    .form--input:placeholder-shown:not(:focus)~.form--floatingLabel{
        font-size: 16px;
        line-height: 18px;
        top: 20px;
    }
}
@media (max-width:400px){
    .form--input:placeholder-shown:not(:focus)~.form--floatingLabel{
        font-size: 14px;
        line-height: 18px;
        top: 20px;
    }
    .form--btnPasword{
        line-height: 13px;
        font-size: 10px;
    }
}